> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/identity-and-access-management-iam/tenant-credentials.md).

# Tenant Credentials

Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level.

## DELETE /organisations/{organisation\_id}/credentials/{credentials\_id}/selections/{selection\_id}

> Delete a credential selection

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials/{credentials_id}/selections/{selection_id}":{"delete":{"parameters":[{"schema":{"type":"string"},"style":"simple","description":"Organisation Id","required":true,"explode":false,"name":"organisation_id","in":"path"},{"schema":{"type":"string"},"in":"path","description":"Credentials Id","style":"simple","explode":false,"required":true,"name":"credentials_id"},{"schema":{"type":"string"},"required":true,"name":"selection_id","explode":false,"style":"simple","in":"path","description":"Credentials selection Id"}],"description":"","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Delete a credential selection","operationId":"deleteCredentialsSelection","tags":["Tenant credentials"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /organisations/{organisation\_id}/credentials

> Search credentials

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials":{"get":{"parameters":[{"required":true,"in":"path","name":"organisation_id","description":"Organisation ID","schema":{"type":"string"},"style":"simple","explode":false},{"explode":true,"required":false,"in":"query","name":"technical_name","schema":{"type":"string"},"description":"User defined id","style":"form"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TenantCredentialsPublicResource"}},"count":{"type":"integer"},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Search credentials","description":"","operationId":"findCredentials","tags":["Tenant credentials"]}}},"components":{"schemas":{"TenantCredentialsPublicResource":{"type":"object","properties":{"public_details":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"scheme":{"$ref":"#/components/schemas/TenantCredentialsScheme"}},"required":["creation_ts","id","last_modified_ts","organisation_id","public_details","scheme","technical_name"]},"TenantCredentialsScheme":{"type":"string","enum":["GOOGLE_SERVICE_ACCOUNT","NO_CREDENTIALS","JDBC_CREDENTIALS","SNOWFLAKE","HMAC","S3","OAUTH2","API_TOKEN","LOGIN_PASSWORD"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /organisations/{organisation\_id}/credentials

> Create a credential

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TenantCredentialsPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Tenant credentials"],"summary":"Create a credential","operationId":"createCredentials","description":"","parameters":[{"required":true,"schema":{"type":"string"},"in":"path","style":"simple","description":"Organisation ID","explode":false,"name":"organisation_id"},{"schema":{"$ref":"#/components/schemas/TenantCredentialsScheme"},"name":"scheme","style":"form","in":"query","description":"Credentials scheme","required":true,"explode":true},{"description":"User defined id","in":"query","name":"technical_name","style":"form","explode":true,"required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The credentials to store","content":{"multipart/form-data":{},"application/json":{"schema":{"type":"object"}},"text/plain":{"schema":{"type":"string"}}},"required":true}}}},"components":{"schemas":{"TenantCredentialsPublicResource":{"type":"object","properties":{"public_details":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"scheme":{"$ref":"#/components/schemas/TenantCredentialsScheme"}},"required":["creation_ts","id","last_modified_ts","organisation_id","public_details","scheme","technical_name"]},"TenantCredentialsScheme":{"type":"string","enum":["GOOGLE_SERVICE_ACCOUNT","NO_CREDENTIALS","JDBC_CREDENTIALS","SNOWFLAKE","HMAC","S3","OAUTH2","API_TOKEN","LOGIN_PASSWORD"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/credentials/{credentials\_id}/selections

> Search credentials selections

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials/{credentials_id}/selections":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/TenantCredentialsSelectionResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"organisation_id","explode":false,"description":"Organisation ID","required":true,"in":"path","schema":{"type":"string"},"style":"simple"},{"description":"Credentials ID","name":"credentials_id","style":"simple","in":"path","schema":{"type":"string"},"explode":false,"required":true},{"description":"User defined id","required":false,"explode":true,"in":"query","schema":{"$ref":"#/components/schemas/SelectorType"},"name":"selector_type","style":"form"}],"description":"","operationId":"findCredentialsSelections","tags":["Tenant credentials"],"summary":"Search credentials selections"}}},"components":{"schemas":{"TenantCredentialsSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"selector_id":{"type":"string","readOnly":false},"selector_type":{"$ref":"#/components/schemas/SelectorType"},"credentials_id":{"type":"string","readOnly":false}},"required":["credentials_id","id","selector_id","selector_type"]},"SelectorType":{"type":"string","enum":["DATA_WAREHOUSE","REPLICATION","FEED_DESTINATION","OBJECT_TREE_DATA_WAREHOUSE_LIVE_INGESTION_CONFIG"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/credentials/{credentials\_id}

> Get a credential by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials/{credentials_id}":{"get":{"summary":"Get a credential by id","tags":["Tenant credentials"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TenantCredentialsPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"in":"path","description":"Organisation ID","schema":{"type":"string"},"style":"simple","name":"organisation_id","explode":false},{"required":true,"style":"simple","explode":false,"in":"path","name":"credentials_id","description":"Credentials ID","schema":{"type":"string"}}],"description":"","operationId":"getCredentials"}}},"components":{"schemas":{"TenantCredentialsPublicResource":{"type":"object","properties":{"public_details":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"scheme":{"$ref":"#/components/schemas/TenantCredentialsScheme"}},"required":["creation_ts","id","last_modified_ts","organisation_id","public_details","scheme","technical_name"]},"TenantCredentialsScheme":{"type":"string","enum":["GOOGLE_SERVICE_ACCOUNT","NO_CREDENTIALS","JDBC_CREDENTIALS","SNOWFLAKE","HMAC","S3","OAUTH2","API_TOKEN","LOGIN_PASSWORD"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /organisations/{organisation\_id}/credentials/{credentials\_id}

> Update a credential

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials/{credentials_id}":{"put":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/TenantCredentialsPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"schema":{"type":"string"},"explode":false,"name":"organisation_id","style":"simple","in":"path","description":"Organisation ID","required":true},{"in":"path","explode":false,"schema":{"type":"string"},"description":"Credentials ID","required":true,"style":"simple","name":"credentials_id"},{"explode":true,"style":"form","in":"query","description":"User defined id","schema":{"type":"string"},"name":"technical_name","required":false}],"requestBody":{"description":"The credentials to store","content":{"multipart/form-data":{},"application/json":{"schema":{"type":"object"}},"text/plain":{"schema":{"type":"string"}}},"required":false},"summary":"Update a credential","description":"","operationId":"updateCredentials","tags":["Tenant credentials"]}}},"components":{"schemas":{"TenantCredentialsPublicResource":{"type":"object","properties":{"public_details":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":false},"technical_name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"scheme":{"$ref":"#/components/schemas/TenantCredentialsScheme"}},"required":["creation_ts","id","last_modified_ts","organisation_id","public_details","scheme","technical_name"]},"TenantCredentialsScheme":{"type":"string","enum":["GOOGLE_SERVICE_ACCOUNT","NO_CREDENTIALS","JDBC_CREDENTIALS","SNOWFLAKE","HMAC","S3","OAUTH2","API_TOKEN","LOGIN_PASSWORD"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /organisations/{organisation\_id}/credentials/{credentials\_id}

> Update a credential

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Tenant credentials","description":"Operations related to Tenant Credentials for managing authentication and access credentials at the tenant level."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/credentials/{credentials_id}":{"delete":{"operationId":"deleteCredentials","parameters":[{"schema":{"type":"string"},"in":"path","required":true,"description":"Organisation ID","name":"organisation_id","style":"simple","explode":false},{"name":"credentials_id","description":"Credentials ID","style":"simple","required":true,"in":"path","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Update a credential","tags":["Tenant credentials"],"description":""}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/identity-and-access-management-iam/tenant-credentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
